<!DOCTYPE html>
<html>
<head>
	<title>Ajedrez en html</title>
	<meta charset="utf-8">
	<meta 	name="author" content ="Ignacio Lorente"/>
	<link rel="stylesheet" type="text/css" href="estilotablero.css">
	<script type="text/javascript" src="movimientos.js"></script>
	<script type="text/javascript" src="amenazas.js"></script>
</head>
<body>
<h1>Ajedrez Ignacio Lorente<h1>

<!-- Primera tabla con el boton para colocar la ficha, la ficha que eliges y las fila/columna que quieres ponerla-->
<fieldset class="tabla2">
<legend>Menu</legend>
<p> Fichas: 
<select id="piezas">
  <option id="peon">Peon</option>
  <option id="torre">Torre</option>
  <option id="alfil">Alfil</option>
  <option id="reina">Reina</option>
  <option id="rey">Rey</option>
</select>
<br>
Fila:
<input type="number" id="f" min="1" max="8" value="1" onchange="coord()">
<br>
Columna:
<input type="number" id="c" min="1" max="8" value="1" onchange="coord()">
<br>
<button class="boton" onclick="ponerFicha();"> Poner pieza </button>
</fieldset>

<!-- Segunda tabla con las imagenes de las fichas que puedes utilizar -->
<fieldset class="tabla1">
<legend> Opciones de Fichas</legend>
<img style="width: 80px; height: 80px;"src="torre.png">
<img style="width: 80px; height: 80px;"src="peon.png">
<img style="width: 80px; height: 80px;"src="reina.png">
<img style="width: 80px; height: 80px;"src="rey.png">
<img style="width: 80px; height: 80px;"src="alfil.png">
</fieldset>

<!-- Tablero con div e id cada casilla -->
<main id="tablero">
<div class="fila">
	<div class="dimension"></div>
	<div class="dimension">8</div>
	<div class="dimension">7</div>
	<div class="dimension">6</div>
	<div class="dimension">5</div>
	<div class="dimension">4</div>
	<div class="dimension">3</div>
	<div class="dimension">2</div>
	<div class="dimension">1</div>
	<div class="dimension"></div>

</div>
<div class="fila" id="fila1">
<div class="dimension">
<span>
	8
</span>
</div>
<div class="dimension blanco" id="88">
</div>
<div class="dimension negro" id="87">
</div>
<div class="dimension blanco" id="86">
</div>
<div class="dimension negro" id="85">
</div>
<div class="dimension blanco" id="84">
</div>
<div class="dimension negro" id="83">
</div>
<div class="dimension blanco" id="82">
</div>
<div class="dimension negro" id="81">
</div>
<div class="dimension"></div>
</div> 

<div class="fila" id="fila2">
<div class="dimension">
<span>
	7
</span>
</div>
<div class="dimension negro" id="78">
</div>
<div class="dimension blanco" id="77">
</div>
<div class="dimension negro" id="76">
</div>
<div class="dimension blanco" id="75">
</div>
<div class="dimension negro" id="74">
</div>
<div class="dimension blanco" id="73">
</div>
<div class="dimension negro" id="72">
</div>
<div class="dimension blanco" id="71">
</div>
<div class="dimension"></div>
</div>

<div class="fila" id="fila3">
<div class="dimension">
<span>
	6
</span>
</div>
<div class="dimension blanco" id="68">
</div>
<div class="dimension negro" id="67">
</div>
<div class="dimension blanco" id="66">
</div>
<div class="dimension negro" id="65">
</div>
<div class="dimension blanco" id="64">
</div>
<div class="dimension negro" id="63">
</div>
<div class="dimension blanco" id="62">
</div>
<div class="dimension negro" id="61">
</div>
<div class="dimension"></div>
</div> 

<div class="fila" id="fila4">
<div class="dimension">
<span>
	5
</span>
</div>
<div class="dimension negro" id="58">
</div>
<div class="dimension blanco" id="57">
</div>
<div class="dimension negro" id="56">
</div>
<div class="dimension blanco" id="55">
</div>
<div class="dimension negro" id="54">
</div>
<div class="dimension blanco" id="53">
</div>
<div class="dimension negro" id="52">
</div>
<div class="dimension blanco" id="51">
</div>
<div class="dimension"></div>
</div>


<div class="fila" id="fila5">
<div class="dimension">
<span>
	4
</span>
</div>
<div class="dimension blanco" id="48">
</div>
<div class="dimension negro" id="47">
</div>
<div class="dimension blanco" id="46">
</div>
<div class="dimension negro" id="45">
</div>
<div class="dimension blanco" id="44">
</div>
<div class="dimension negro" id="43">
</div>
<div class="dimension blanco" id="42">
</div>
<div class="dimension negro" id="41">
</div>
<div class="dimension"></div>
</div> 

<div class="fila" id="fila6">
<div class="dimension">
<span>
	3
</span>
</div>
<div class="dimension negro" id="38">
</div>
<div class="dimension blanco" id="37">
</div>
<div class="dimension negro" id="36">
</div>
<div class="dimension blanco" id="35">
</div>
<div class="dimension negro" id="34">
</div>
<div class="dimension blanco" id="33">
</div>
<div class="dimension negro" id="32">
</div>
<div class="dimension blanco" id="31">
</div>
<div class="dimension"></div>
</div>

<div class="fila" id="fila7">
<div class="dimension">
<span>
	2
</span>
</div>
<div class="dimension blanco" id="28">
</div>
<div class="dimension negro" id="27">
</div>
<div class="dimension blanco" id="26">
</div>
<div class="dimension negro" id="25">
</div>
<div class="dimension blanco" id="24">
</div>
<div class="dimension negro" id="23">
</div>
<div class="dimension blanco" id="22">
</div>
<div class="dimension negro" id="21">
</div>
<div class="dimension"></div>
</div> 

<div class="fila" id="fila8">
<div class="dimension">
<span>
	1
</span>
</div>
<div class="dimension negro" id="18">
</div>
<div class="dimension blanco" id="17">
</div>
<div class="dimension negro" id="16">
</div>
<div class="dimension blanco" id="15">
</div>
<div class="dimension negro" id="14">
</div>
<div class="dimension blanco" id="13">
</div>
<div class="dimension negro" id="12">
</div>
<div class="dimension blanco" id="11">
</div>
<div class="dimension"></div>
</div>

<button onclick="borraficha()">Limpiar Tablero</button>

</main>
</body>
</html>